/**BEGIN  **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EB_ANALYSISCANVAS_DATA' AND KSQL_COL_NAME IN ('FCANVASID')) 
ALTER TABLE T_EB_ANALYSISCANVAS_DATA ADD (FCANVASID BIGINT DEFAULT 0 NOT NULL);

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ANADATA_CANVAS')
CREATE INDEX IDX_ANADATA_CANVAS ON T_EB_ANALYSISCANVAS_DATA ( FCANVASID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ANADATA_ITEM')
CREATE INDEX IDX_ANADATA_ITEM ON T_EB_ANALYSISCANVAS_DATA ( FITEMID );

/**END **/

